Bug 1808657 - python-zope-testrunner fails to build with Python 3.9: whitespace difference in test output
Summary: python-zope-testrunner fails to build with Python 3.9: whitespace difference ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-zope-testrunner
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jerry James
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON39
TreeView+ depends on / blocked
 
Reported: 2020-02-29 09:50 UTC by Miro Hrončok
Modified: 2020-03-16 20:31 UTC (History)
5 users (show)

Fixed In Version: python-zope-testrunner-5.1-3.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-16 20:19:09 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-02-29 09:50:21 UTC
python-zope-testrunner fails to build with Python 3.9.0a4.

Running zope.testrunner.layer.UnitTests tests:
  Set up zope.testrunner.layer.UnitTests in 0.000 seconds.
Failure in test /builddir/build/BUILD/zope.testrunner-5.1/lib/python3.9/site-packages/zope/testrunner/tests/testrunner-subunit.rst
Failed doctest test for testrunner-subunit.rst
  File "/builddir/build/BUILD/zope.testrunner-5.1/lib/python3.9/site-packages/zope/testrunner/tests/testrunner-subunit.rst", line 0
----------------------------------------------------------------------
File "/builddir/build/BUILD/zope.testrunner-5.1/lib/python3.9/site-packages/zope/testrunner/tests/testrunner-subunit.rst", line 471, in testrunner-subunit.rst
Failed example:
    testrunner.run_internal(defaults)
Differences (ndiff with -expected +actual):
      test: sample2.badsyntax
      tags: zope:import_error
      error: sample2.badsyntax [
    - Traceback (most recent call last):
       testrunner-ex/sample2/badsyntax.py", line 16
          importx unittest
    -                    ^
    ? -------
    +             ^
      SyntaxError: invalid syntax
      ]

...

For the build logs, see:
https://copr-be.cloud.fedoraproject.org/results/@python/python3.9/fedora-rawhide-x86_64/01257632-python-zope-testrunner/

For all our attempts to build python-zope-testrunner with Python 3.9, see:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/package/python-zope-testrunner/

Testing and mass rebuild of packages is happening in copr. You can follow these instructions to test locally in mock if your package builds with Python 3.9:
https://copr.fedorainfracloud.org/coprs/g/python/python3.9/

Let us know here if you have any questions.

Python 3.9 will be included in Fedora 33. To make that update smoother, we're building Fedora packages with early pre-releases of Python 3.9.
A build failure prevents us from testing all dependent packages (transitive [Build]Requires), so if this package is required a lot, it's important for us to get it fixed soon.
We'd appreciate help from the people who know this package best, but if you don't want to work on this now, let us know so we can try to work around it on our side.

Comment 1 Jerry James 2020-03-02 03:35:39 UTC
Interestingly, this does not appear to be a python 3.9 issue.  If I build for either Rawhide or F32, I get the same error.  Something has changed since the mass rebuild to cause this.  I have no idea what the something is, but it needs to be patched in any case.  I will submit some new builds, then I'll have to dig into it to figure out what changed, so I can alert upstream.

Comment 2 Fedora Update System 2020-03-02 03:36:26 UTC
FEDORA-2020-46e33ef1da has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-46e33ef1da

Comment 3 Fedora Update System 2020-03-02 16:40:20 UTC
python-zope-testrunner-5.1-3.fc32 has been pushed to the Fedora 32 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-46e33ef1da

Comment 4 Fedora Update System 2020-03-16 20:19:09 UTC
python-zope-testrunner-5.1-3.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2020-03-16 20:31:10 UTC
python-zope-testrunner-5.1-3.fc32 has been pushed to the Fedora 32 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.